Skip to content
Справочник APIConsumerConsumer.auth keys

Get auth key details

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

GET
/consumer/v1/auth-keys/{id}

Returns the stored metadata for a single auth key. The raw key value is never returned after creation.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Auth key ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/auth-keys/55555555-5555-5555-5555-555555555555" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "created_at": "2026-04-13T00:00:00Z",  "ephemeral": false,  "expires_at": "2026-05-13T00:00:00Z",  "id": "55555555-5555-5555-5555-555555555555",  "key_prefix": "fvpn-ak_a1b2c3d4...e5f6",  "max_uses": 100,  "name": "Production servers",  "recent_usages": [    {      "created_at": "2026-04-13T00:05:00Z",      "device_id": "77777777-7777-7777-7777-777777777777",      "id": "66666666-6666-6666-6666-666666666666",      "ip_address": null,      "machine_key": "AQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQE="    }  ],  "reusable": true,  "revoked_at": null,  "tags": [    "role:server",    "env:production"  ],  "use_count": 1}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}